[meson] qtaudio plugin should be optional, independently of other qt5 code
Status: Closed Start date: November 30, 2020

Priority: Trivial Due date:  

Assignee:  % Done: 0%
Target version: 4.1   

Affects version:    

Description

Extremely nitpicky I know, but someone might be happy to avoid the extra dependency.

Disabling it doesn't lose any functionality that Audacious can't already do on its own. QtMM has some OpenAL code but it's not wired

up as a backend there, so we unfortunately can't have a cursed jenga tower of audacious->qtmm->openal->jackd.

History

#1 - November 30, 2020 22:51 - John Lindgren

- Category changed from plugins/qtui to meson

- Subject changed from qtaudio plugin should be optional, independently of other qt5 code to [meson] qtaudio plugin should be optional, independently

of other qt5 code

Hmm, it's already optional with autoconf/make-based builds.

#2 - December 01, 2020 02:20 - Thomas Lange

- File 0001-Make-QtMultimedia-output-optional-v2.patch added

Could you please test the attached patch? I guess that's the right fix.

#3 - December 01, 2020 02:29 - Enne Eziarc

Thomas Lange wrote:

Could you please test the attached patch? I guess that's the right fix.

 

That one works, but it makes it an automagic dependency if the build host has the library installed. Applying both seems like the right answer here?

#4 - December 01, 2020 13:15 - Thomas Lange

- Status changed from New to Closed

Enne Eziarc wrote:

Applying both seems like the right answer here?
I have committed both patches together now. Thanks for the report and the proposed fix.

Marking as closed.

#5 - December 21, 2020 20:24 - Thomas Lange

- Target version set to 4.1

Files

0001-Make-QtMultimedia-output-optional.patch 1.44 KBNovember 30, 2020 Enne Eziarc

0001-Make-QtMultimedia-output-optional-v2.patch 386 BytesDecember 01, 2020 Thomas Lange

Powered by TCPDF (www.tcpdf.org)

May 03, 2025 2/2

http://www.tcpdf.org

